aboutsummaryrefslogtreecommitdiffstats
path: root/tools/perf/scripts/perl/bin/failed-syscalls-report
diff options
context:
space:
mode:
Diffstat (limited to 'tools/perf/scripts/perl/bin/failed-syscalls-report')
-rw-r--r--tools/perf/scripts/perl/bin/failed-syscalls-report8
1 files changed, 7 insertions, 1 deletions
diff --git a/tools/perf/scripts/perl/bin/failed-syscalls-report b/tools/perf/scripts/perl/bin/failed-syscalls-report
index 8bfc660e5056..e3a5e55d54ff 100644
--- a/tools/perf/scripts/perl/bin/failed-syscalls-report
+++ b/tools/perf/scripts/perl/bin/failed-syscalls-report
@@ -1,4 +1,10 @@
#!/bin/bash
# description: system-wide failed syscalls
# args: [comm]
-perf trace -s ~/libexec/perf-core/scripts/perl/failed-syscalls.pl $1
+if [ $# -gt 0 ] ; then
+ if ! expr match "$1" "-" > /dev/null ; then
+ comm=$1
+ shift
+ fi
+fi
+perf trace $@ -s ~/libexec/perf-core/scripts/perl/failed-syscalls.pl $comm